/*
 * @Author: your name
 * @Date: 2021-11-18 13:40:39
 * @LastEditTime: 2021-11-28 15:05:32
 * @LastEditors: Please set LastEditors
 * @Description: 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 * @FilePath: \hyyfClient\src\utils\chenApi.js
 */
import axios from './http';

/** 生物安全 */
/* 获取门禁所有 - 人脸门禁 +  */
export function getFaceGuardTotal(data) {
  return axios({
    url: 'http://192.168.1.171:10253/produce/person/get_person_record_totalpage',
    method: 'post',
    data: data
  })
}

/* 车辆管理 - 车辆通行 */
export function getCarPassage(data) {
  return axios({
    url: 'http://192.168.1.171:10253/produce/car/get_car_record',
    method: 'get',
    params: data
  })
}

/* 车辆管理 - 车辆洗消 */
export function getCarWash(params) {
  return axios({
    url: 'http://192.168.1.171:10253/produce/accident/accident_record_xixiao',
    method: 'post',
    data: params
  })
}

/* 车辆管理 - 车辆洗消 - 总数 */
export function getCarWashTotal(params) {
  return axios({
    url: 'http://192.168.1.171:10253/produce/accident/accident_record_xixiao_totalpage',
    method: 'post',
    data: params
  })
}

/* 车辆洗消 - 视频回放 */
export function getCarWashVideo(params) {
  return axios({
    url: 'http://192.168.1.171:10253/produce/video/getVideoRecord',
    method: 'post',
    data: params
  })
}

/** 生产数据 - ERP 数据分析 - 工作看板 */
// 汇总信息
export function getWorkTotal(params) {
  return axios({
    url: '/produce/prodWorkPlan/listWorkPlan',
    method: 'get',
    params: params
  })
}
// 报警信息
export function getWorkInfos(params) {
  return axios({
    url: '/produce/prodWarningMsg/listWarningMsg',
    method: 'post',
    data: params
  })
}

/**  生产数据 - ERP 数据分析 - 安全库存报警 */
export function getSafeInventory(params) {
  return axios({
    url: '/produce/prodGoodsWarning/listGoodsWarning',
    method: 'get',
    params: params
  })
}

/** 生产数据 - ERP - 生产情况 */
export function getProductionCondition(params) {
  return axios({
    url: '/produce/prodProduce/listProducee',
    method: 'get',
    params: params
  })
}

/** 生产数据 - ERP - 重要指标折线图 */
export function getImportantData(params) {
  return axios({
    url: '/produce/prodProduce/listImportance',
    method: 'post',
    data: params
  })
}

/* ERP - 经营分析 - 成本分析 */
export function getCostData(params) {
  return axios({
    url: '/produce/prodCostStatistics/listCost',
    method: 'get',
    params: params
  })
}
